Epoch: 1

%lib_package gpgme 11
%lib_package gpgme-pthread 11

Summary: GnuPG Made Easy.
Name: gpgme
Version: 1.1.6
Release: 22%{?dist}
License: GPL
Group: Applications/System
Source0: ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2
Source1: ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.bz2.sig
URL: http://www.gnupg.org/gpgme.html
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: gcc-c++
BuildRequires: libgpg-error-devel >= 1.4
BuildRequires: gnupg >= 1.3.0, gnupg2 >= 2.0.4
Requires: gnupg >= 1.3.0, gnupg2 >= 2.0.4
%lib_dependencies

%description
GnuPG Made Easy (GPGME) is a library designed to make access to GnuPG
easier for applications. It provides a High-Level Crypto API for
encryption, decryption, signing, signature verification and key
management.

%devel_extra_Requires libgpg-error-devel >= 0.5

%prep
%setup -q

%build
%configure
export GNUPGHOME=`pwd`
chmod -R 0700 .
make

%install
rm -rf %{buildroot}
%makeinstall
rm -f %{buildroot}%{_infodir}/dir

cat > develfiles.list << EOF
%defattr(-,root,root,-)
%{_bindir}/%{name}-config
%{_infodir}/*
EOF

%clean
rm -rf %{buildroot}

%post devel
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/gpgme.info.gz

%preun devel
if [ $1 = 0 ]; then
    /sbin/install-info --delete %{_infodir}/gpgme.info.gz %{_infodir}/dir
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_datadir}/common-lisp/source/gpgme/gpgme-package.lisp
%{_datadir}/common-lisp/source/gpgme/gpgme.asd
%{_datadir}/common-lisp/source/gpgme/gpgme.lisp

%changelog
* Sat Jan 12 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.1.6-22
- Update to 1.1.6.

* Sat Feb  3 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1:1.1.3-20
- Update to 1.1.3.

* Thu Mar  9 2006 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.2.

* Thu Oct  6 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.1.0.

* Sun Jan  2 2005 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.2.

* Sat Oct 23 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.1.

* Fri Oct  1 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 1.0.0.

* Mon Mar 29 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.4.5.

* Tue Oct 14 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.4.3

* Fri Jan 17 2003 Axel Thimm <Axel.Thimm@ATrpms.net>
- Update to 0.4.0.
- Synced with embedded specfile.
- Added info files.

* Sun Sep 29 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.3.11.
- Rebuilt against Red Hat Linux 8.0.

* Thu May  2 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt against Red Hat Linux 7.3.
- Added the %{?_smp_mflags} expansion.

* Mon Apr 22 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.3.5.

* Wed Sep 19 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.2.3.

* Thu Aug 30 2001 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Initial RPM release.

